> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves Live Global Components

> Returns a list of all the live global component data



## OpenAPI

````yaml xm_v1 get /global-component/live
openapi: 3.0.0
info:
  version: 1.0.0
  description: >-
    Design, deploy, and manage experiences for all your digital storefronts with
    fabric XM, a headless e-commerce CMS. Design and develop components in your
    storefront to give your merchandisers and marketers the building blocks they
    need to create pages for products, promotions, and campaigns.
  title: Experiences v1 (XM v1)
  contact:
    email: support@fabric.inc
  license:
    name: fabric Inc
    url: https://fabric.inc/api-license
servers:
  - url: https://cdn.xm.fabric.inc/api
security: []
tags:
  - name: Pages
    description: >-
      XM Pages API allows you to fetch all the live pages, or a live page by a
      specific URL
  - name: Global Components
    description: >-
      XM Global Components API allows you to fetch all the live global component
      data
  - name: Menu
    description: XM Menu API allows you to fetch menus and their items
paths:
  /global-component/live:
    get:
      tags:
        - Global Components
      summary: Retrieves Live Global Components
      description: Returns a list of all the live global component data
      operationId: getLiveGlobalComponents
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Components'
              examples:
                LiveComponents:
                  $ref: '#/components/examples/globalComponentsExample'
                NoLiveComponents:
                  summary: No Live Components
                  value: []
        '500':
          description: The request was received but an internal error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: INTERNAL_SERVER_ERROR
                message: >-
                  An internal error occurred. If the issue persists please
                  contact support@fabric.inc.
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    Components:
      type: array
      description: The list of components
      items:
        type: object
        description: The component data
        properties:
          _id:
            type: string
            description: The virtual id associated with the component
          id:
            type: string
            description: The identifier used in the UI by the component
          params:
            type: object
            description: The attached fields and values of the component
            additionalProperties: true
        additionalProperties: true
    Error:
      type: object
      description: The server error response object
      properties:
        code:
          type: string
          description: The code associated with the type of server error
        message:
          type: string
          description: The message associated with the server error
      required:
        - code
        - message
  examples:
    globalComponentsExample:
      summary: Live Components Exist
      value:
        - _id: 60896f629aa7f1000744030b
          id: RailNavigation
          params:
            homeLinkText: Home
            sections:
              - sectionTitle: Get Started
                sectionLink: /start
                subsections:
                  - subSectionTitle: What is fabric?
                    subSectionLink: /what-is-fabric
                    components: []
                components: []
            title: Title
          order: 1
        - _id: 608ad8760536ac00074bec45
          id: CustomHeader
          params:
            developerSectionText: developerSectionText
            developerSectionLinks:
              - title: Knowledge Base
                description: Get started
                link: https://fabric.inc/knowledgebase
                components: []
              - title: API documentation
                description: Customize without limits
                link: https://api.fabric.inc/
                components: []
          order: 1

````